import flet as ft

class PaymentRedirect:
    def __init__(self, page: ft.Page):
        self.page = page

    def on_go_back_btn_click(self, e):
        self.page.go("/")

    def build(self):
        return ft.Container(
            content=ft.Column(
                [
                    ft.Row(
                        [
                            ft.Image(src='images/tainagustului.png', width=200)
                        ],
                        alignment=ft.MainAxisAlignment.CENTER
                    ),
                    ft.Text(
                        "Pagina de plată NETOPIA a fost deschisa intr-un tab nou...",
                        size=20,
                        weight=ft.FontWeight.BOLD,
                        text_align=ft.TextAlign.CENTER,
                    ),
                    ft.ProgressRing(width=40, height=40, color=ft.Colors.GREEN),
                    ft.Text(
                        "Vă rugăm să nu închideți această fereastră până la finalizarea plății.\nDupa finalizarea plati apasati butonul `Inapi la magazin`",
                        size=16,
                        color=ft.Colors.GREY_700,
                        text_align=ft.TextAlign.CENTER,
                    ),
                    ft.Button("Inapoi la magazin", on_click=self.on_go_back_btn_click)
                ],
                alignment=ft.MainAxisAlignment.CENTER,
                horizontal_alignment=ft.CrossAxisAlignment.CENTER,
                spacing=20
            )
        )